org.eclipse.swt.custom

## Interface LineBackgroundListener

All Superinterfaces:
  EventListener, SWTEventListener

All Known Implementing Classes:
  CursorLinePainter, TextConsoleViewer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface LineBackgroundListener
    extends SWTEventListener

Classes which implement this interface provide a method that can provide the background color for a line that is to be drawn.

See Also:
  `LineBackgroundEvent`, Sample code and further information

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `lineGetBackground(LineBackgroundEvent event)` This method is called when a line is about to be drawn in order to get its background color.

### Method Detail

#### lineGetBackground

    void lineGetBackground(LineBackgroundEvent event)

This method is called when a line is about to be drawn in order to get its background color.

The following event fields are used:

- event.lineOffset line start offset (input)
- event.lineText line text (input)
- event.lineBackground line background color (output)

Parameters:
  `event` - the given event
See Also:
  `LineBackgroundEvent`